Ownership

Ownership by person

Resolve contact details for a specific person you already have a name and address for. Enterprise only. Charged only when a match is found.


Checking account...
GET
/v1/ownership/person

Resolve contact details for a specific person you already have a name and address for. Enterprise only. Charged only when a match is found.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

first_name*string

First name (max 50 characters).

Lengthlength <= 50
last_name*string

Last name (max 50 characters).

Lengthlength <= 50
address*string

Street address only (no city/state), max 100 characters.

Lengthlength <= 100
zip*string

5-digit US ZIP, optionally ZIP+4.

include?string

Comma-separated subset of emails,phones. Unrecognized values are ignored.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

{
  "success": true,
  "input": {
    "first_name": "John",
    "last_name": "Sample",
    "address": "123 Example St",
    "zip": "90210"
  },
  "count": 1,
  "matches": [
    {
      "record_id": "2074367570",
      "first_name": "John",
      "last_name": "Sample",
      "address": {
        "street": "123 Example St",
        "city": "Beverly Hills",
        "state": "CA",
        "zip": "90210"
      },
      "vin": "",
      "emails": [
        {
          "address": "john.sample@gmail.com",
          "last_seen": ""
        },
        {
          "address": "jsample@msn.com",
          "last_seen": ""
        }
      ],
      "phones": [
        {
          "number": "3105551901",
          "type": "",
          "dnc": false
        },
        {
          "number": "3105558018",
          "type": "",
          "dnc": false
        }
      ]
    }
  ],
  "error": ""
}
{
  "success": false,
  "count": 0,
  "matches": [],
  "error": "invalid_inputs",
  "message": "Invalid inputs. first_name, last_name, address, and zip are required (address max 100 characters)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "count": 0,
  "matches": [],
  "error": "api_not_enabled",
  "message": "The Ownership API is not enabled for this API key. To enable, please contact support."
}
{
  "success": false,
  "count": 0,
  "matches": [],
  "error": "no_data",
  "message": "No ownership records found for this person"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "The Ownership API is temporarily unavailable."
}